=== debian/changelog ===
paho.mqtt.cpp (1.2.0-2) unstable; urgency=low

  * d/control: remove redundant Build-Depends on debhelper

 -- Matthias Klein <matthias@extraklein.de>  Sun, 28 Feb 2021 10:48:19 +0100

paho.mqtt.cpp (1.2.0-1) unstable; urgency=low

  * Initial release. Closes: #977740

 -- Matthias Klein <matthias@extraklein.de>  Tue, 09 Feb 2021 06:37:43 +0100
