=== debian/control ===
Source: paho.mqtt.cpp
Section: libs
Priority: optional
Maintainer: Matthias Klein <matthias@extraklein.de>
Build-Depends: debhelper-compat (= 13), cmake, libssl-dev, libpaho-mqtt-dev (>= 1.3.8)
Standards-Version: 4.5.1
Homepage: https://github.com/eclipse/paho.mqtt.cpp/
Vcs-Browser: https://salsa.debian.org/matthiasklein/paho.mqtt.cpp
Vcs-Git: https://salsa.debian.org/matthiasklein/paho.mqtt.cpp.git

Package: libpaho-mqttpp3-1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Eclipse Paho MQTT C++ Client Library - shared libraries
 This library enables C++11 applications to connect to an MQTT broker,
 publish messages to the broker, and to subscribe to topics and receive
 published messages.
 .
 This package contains the shared library.

Package: libpaho-mqttpp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libpaho-mqttpp3-1 (= ${binary:Version}), ${misc:Depends}
Description: Eclipse Paho MQTT C++ Client Library - development files
 This library enables C++11 applications to connect to an MQTT broker,
 publish messages to the broker, and to subscribe to topics and receive
 published messages.
 .
 This package contains the development files.
