=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@  

override_dh_auto_configure:
	dh_auto_configure -- \
        -DCMAKE_LIBRARY_ARCHITECTURE="$(DEB_TARGET_MULTIARCH)" \
        -DPAHO_BUILD_SHARED=TRUE -DPAHO_WITH_SSL=TRUE
        -DPAHO_BUILD_STATIC=FALSE -DPAHO_BUILD_DOCUMENTATION=FALSE \
        -DPAHO_BUILD_SAMPLES=FALSE -DPAHO_BUILD_TESTS=FALSE \
        -DPAHO_BUILD_DEB_PACKAGE=FALSE
