## paho.mqtt.cpp 1.5.0

=== debian/changelog ===
paho.mqtt.cpp (1.5.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.
  * Remove field Section on binary package libpaho-mqttpp3-1 that duplicates
    source.

  [ Roman Ondráček ]
  * New upstream version 1.5.0 (Closes: #1094579)
  * d/control: update standards version to 4.7.0
  * d/patches: update CMake targets install path patch
  * d/watch: update to version 4
  * d/lintian-overrides: add source lintian overrides
  * d/upstream/metadata: add missing upstream metadata entries
  * d/salsa-ci.yml: enable Salsa CI
  * d/rules: add build of documentation, static library and tests
  * d/control: update the package maintainer to Roman Ondráček
    (Closes: #1095083)

 -- Roman Ondráček <mail@romanondracek.cz>  Mon, 03 Feb 2025 23:40:48 +0100
