=== debian/changelog ===
paho.mqtt.cpp (1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1

 -- Roman Ondráček <mail@romanondracek.cz>  Mon, 10 Feb 2025 13:30:24 +0100
