=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: paho.mqtt.cpp
 Section: libs
 Priority: optional
-Maintainer: Matthias Klein <matthias@extraklein.de>
-Build-Depends: debhelper-compat (= 13), cmake, libssl-dev, libpaho-mqtt-dev (>= 1.3.8)
-Standards-Version: 4.5.1
-Homepage: https://github.com/eclipse/paho.mqtt.cpp/
-Vcs-Browser: https://salsa.debian.org/matthiasklein/paho.mqtt.cpp
-Vcs-Git: https://salsa.debian.org/matthiasklein/paho.mqtt.cpp.git
+Maintainer: Roman Ondráček <mail@romanondracek.cz>
+Build-Depends: debhelper-compat (= 13), cmake, doxygen, libcatch2-dev,
+ libssl-dev, libpaho-mqtt-dev (>= 1.3.14)
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
+Homepage: https://github.com/eclipse-paho/paho.mqtt.cpp/
+Vcs-Browser: https://salsa.debian.org/ondracek/paho.mqtt.cpp
+Vcs-Git: https://salsa.debian.org/ondracek/paho.mqtt.cpp.git
 
 Package: libpaho-mqttpp3-1
-Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -32,3 +33,16 @@
  published messages.
  .
  This package contains the development files.
+
+Package: libpaho-mqttpp-doc
+Section: doc
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Description: Eclipse Paho MQTT C++ Client Library - library documentation
+ This library enables C++11 applications to connect to an MQTT broker,
+ publish messages to the broker, and to subscribe to topics and receive
+ published messages.
+ .
+ This package contains the doxygen generated HTML documentation for the
+ libraries.
