## paho.mqtt.cpp 1.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -48,6 +48,10 @@
 if(NOT PAHO_BUILD_SHARED AND NOT PAHO_BUILD_STATIC)
     message(FATAL_ERROR "You must set either PAHO_BUILD_SHARED, PAHO_BUILD_STATIC, or both")
 endif()
+
+# --- Setting naming variables ---
+
+set(PAHO_MQTTPP_GENERATED_DIR ${CMAKE_CURRENT_BINARY_DIR}/generated)
 
 ## --- Find Paho C or build it, if reqested ---
 
@@ -137,6 +141,15 @@
     add_subdirectory(test/unit)
 endif()
 
+## --- Install generated header(s) ---
+
+install(
+    DIRECTORY
+        ${PAHO_MQTTPP_GENERATED_DIR}/include/
+    DESTINATION
+        ${CMAKE_INSTALL_INCLUDEDIR}
+)
+
 ## --- Packaging settings ---
 
 if(WIN32)
