=== src/CMakeLists.txt ===
--- 
+++ 
@@ -27,6 +27,8 @@
 
 set (THREADS_PREFER_PTHREAD_FLAG ON)
 find_package(Threads REQUIRED)
+
+include(GenerateExportHeader)
 
 ## --- Use object library to optimize compilation ---
 
@@ -77,6 +79,11 @@
         VERSION ${PROJECT_VERSION}
         SOVERSION ${PROJECT_VERSION_MAJOR}
     )
+
+    generate_export_header(paho-mqttpp3-shared
+        BASE_NAME paho_mqttpp
+        EXPORT_FILE_NAME ${PAHO_MQTTPP_GENERATED_DIR}/include/mqtt/export.h
+    )
 endif()
 
 ## --- Build static version of the library, if requested ---
@@ -99,15 +106,27 @@
     if(${PAHO_BUILD_SHARED})
         # This lib should configure for static exports
         target_compile_definitions(paho-mqttpp3-static PRIVATE PAHO_MQTTPP_STATIC)
+        target_compile_definitions(paho-mqttpp3-static PRIVATE PAHO_MQTTPP_STATIC_DEFINE)
     else()
         # If no shared lib, make this one the default target
         add_library(PahoMqttCpp::paho-mqttpp3 ALIAS paho-mqttpp3-static)
+
+        generate_export_header(paho-mqttpp3-static
+            BASE_NAME paho_mqttpp
+            EXPORT_FILE_NAME ${PAHO_MQTTPP_GENERATED_DIR}/include/mqtt/export.h
+        )
     endif()
 
     ## Let the archive use the same base name as the shared lib on *nix systems
     if(UNIX)
         set_target_properties(paho-mqttpp3-static PROPERTIES OUTPUT_NAME paho-mqttpp3)
     endif()
+endif()
+
+## --- Make sure at least one target was specified ---
+
+if(NOT PAHO_CPP_TARGETS)
+    message(FATAL_ERROR "No build targets are specified")
 endif()
 
 ## --- Set common properties, etc ---
