=== debian/changelog ===
paho.mqtt.cpp (1.5.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload.

 -- Boyuan Yang <byang@debian.org>  Mon, 31 Mar 2025 10:24:57 -0400

paho.mqtt.cpp (1.5.2-1) unstable; urgency=medium

  * d/control: update standards version to 4.7.2
  * New upstream version 1.5.2

 -- Roman Ondráček <mail@romanondracek.cz>  Tue, 11 Mar 2025 21:45:02 +0100
