=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?\/)?v?(\d[\d.]*)\.tar\.gz/${PACKAGE}_\$1.orig.tar.gz/" \
    https://github.com/eclipse-paho/paho.mqtt.cpp/tags (?:.*?\/)?v?(\d[\d.]*)\.tar\.gz
