=== debian/changelog ===
paho.mqtt.cpp (1.5.3-1) unstable; urgency=medium

  * New upstream version 1.5.3

 -- Roman Ondráček <mail@romanondracek.cz>  Mon, 18 Aug 2025 00:30:18 +0200
