=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13), cmake, doxygen, libcatch2-dev,
  libssl-dev, libpaho-mqtt-dev (>= 1.3.14)
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/eclipse-paho/paho.mqtt.cpp/
 Vcs-Browser: https://salsa.debian.org/ondracek/paho.mqtt.cpp
 Vcs-Git: https://salsa.debian.org/ondracek/paho.mqtt.cpp.git
